qpid::messaging Namespace Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Classes | Functions
qpid::messaging Namespace Reference

## Classes
class | Address
| Represents an address to which messages can be sent and from which messages can be received. More...
class | Connection
| A connection represents a network connection to a remote endpoint. More...
class | Duration
| A duration is a time in milliseconds. More...
struct | MessagingException
| This is the base class for all messaging related exceptions thrown by this API. More...
struct | InvalidOptionString
| Thrown when the syntax of the option string used to configure a connection in not valid. More...
struct | KeyError
| Thrown to indicate a failed lookup of some local object. More...
struct | LinkError
struct | AddressError
struct | ResolutionError
| Thrown when a syntactically correct address cannot be resolved or used. More...
struct | AssertionFailed
| Thrown when creating a sender or receiver for an address for which some asserted property of the node is not matched. More...
struct | NotFound
| Thrown on attempts to create a sender or receiver to a non-existent node. More...
struct | MalformedAddress
| Thrown when an address string with invalid syntax is used. More...
struct | ReceiverError
struct | FetchError
struct | NoMessageAvailable
| Thrown by Receiver::fetch(), Receiver::get() and Session::nextReceiver() to indicate that there no message was available before the timeout specified. More...
struct | SenderError
struct | SendError
struct | TargetCapacityExceeded
| Thrown to indicate that the sender attempted to send a message that would result in the target node on the peer exceeding a preconfigured capacity. More...
struct | SessionError
struct | TransactionError
struct | TransactionAborted
| Thrown on Session::commit() if reconnection results in the transaction being automatically aborted. More...
struct | UnauthorizedAccess
| Thrown to indicate that the application attempted to do something for which it was not authorised by its peer. More...
struct | ConnectionError
struct | TransportFailure
| Thrown to indicate loss of underlying connection. More...
class | FailoverUpdates
| A utility to listen for updates on cluster membership and update the list of known urls for a connection accordingly. More...
class | Handle
| A handle is like a pointer: refers to an underlying implementation object. More...
class | Message
| Representation of a message. More...
struct | EncodingException
class | Receiver
| Interface through which messages are received. More...
class | Sender
| Interface through which messages are sent. More...
class | Session
| A session represents a distinct 'conversation' which can involve sending and receiving messages to and from different addresses. More...
## Functions
std::ostream & | operator<< (std::ostream &out, const Address &address)
Duration | operator* (const Duration &duration, uint64_t multiplier)
Duration | operator* (uint64_t multiplier, const Duration &duration)
bool | operator== (const Duration &a, const Duration &b)
bool | operator!= (const Duration &a, const Duration &b)
void | decode (const Message &message, qpid::types::Variant::Map &map, const std::string &encoding=std::string())
| Decodes message content into a Variant::Map.
void | decode (const Message &message, qpid::types::Variant::List &list, const std::string &encoding=std::string())
| Decodes message content into a Variant::List.
void | encode (const qpid::types::Variant::Map &map, Message &message, const std::string &encoding=std::string())
| Encodes a Variant::Map into a message.
void | encode (const qpid::types::Variant::List &list, Message &message, const std::string &encoding=std::string())
| Encodes a Variant::List into a message.

## Function Documentation

void qpid::messaging::decode | ( | const Message & | message,
|  | qpid::types::Variant::Map & | map,
|  | const std::string & | encoding = `std::string()`
| ) |  |

Decodes message content into a Variant::Map.

Parameters:

  message | the message whose content should be decoded
  map | the map into which the message contents will be decoded
  encoding | if specified, the encoding to use - this overrides any encoding specified by the content-type of the message

Exceptions:

  EncodingException |

void qpid::messaging::decode | ( | const Message & | message,
|  | qpid::types::Variant::List & | list,
|  | const std::string & | encoding = `std::string()`
| ) |  |

Decodes message content into a Variant::List.

Parameters:

  message | the message whose content should be decoded
  list | the list into which the message contents will be decoded
  encoding | if specified, the encoding to use - this overrides any encoding specified by the content-type of the message

Exceptions:

  EncodingException |

void qpid::messaging::encode | ( | const qpid::types::Variant::Map & | map,
|  | Message & | message,
|  | const std::string & | encoding = `std::string()`
| ) |  |

Encodes a Variant::Map into a message.

Parameters:

  map | the map to be encoded
  message | the message whose content should be set to the encoded map
  encoding | if specified, the encoding to use - this overrides any encoding specified by the content-type of the message

Exceptions:

  EncodingException |

void qpid::messaging::encode | ( | const qpid::types::Variant::List & | list,
|  | Message & | message,
|  | const std::string & | encoding = `std::string()`
| ) |  |

Encodes a Variant::List into a message.

Parameters:

  list | the list to be encoded
  message | the message whose content should be set to the encoded list
  encoding | if specified, the encoding to use - this overrides any encoding specified by the content-type of the message

Exceptions:

  EncodingException |

bool qpid::messaging::operator!= | ( | const Duration & | a,
|  | const Duration & | b
| ) |  |

Duration qpid::messaging::operator* | ( | const Duration & | duration,
|  | uint64_t | multiplier
| ) |  |

Duration qpid::messaging::operator* | ( | uint64_t | multiplier,
|  | const Duration & | duration
| ) |  |

std::ostream& qpid::messaging::operator<< | ( | std::ostream & | out,
|  | const Address & | address
| ) |  |

bool qpid::messaging::operator== | ( | const Duration & | a,
|  | const Duration & | b
| ) |  |